import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import WindiCSS from 'vite-plugin-windicss'
import VueMacros from 'unplugin-vue-macros/vite'

export default defineConfig({
  plugins: [vue(), WindiCSS(), VueMacros()],
  resolve: {
    alias: [],
  },
  build: {
    lib: {
      entry: './src/',
      formats: ['es'],
      fileName: 'index',
    },
    rollupOptions: {
      external: ['vue', 'async-validator', '@vueuse/core'],
    },
  },
})
